Subject: bug#19848: closed (Re: bug#19848: Minibuffer completion does not work with ECB package?)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Jan 2020 05:35:02 +0000

Your bug report

#19848: Minibuffer completion does not work with ECB package?

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19848: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19848
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19848: Minibuffer completion does not work with ECB package?
From: Stefan Kangas <[email-masked]>
To: Thorsten Bonow <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Jan 2020 06:34:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Stefan Kangas <[email-masked]> writes:

> Stefan Kangas <[email-masked]> writes:
>
>>> I don't think it's an Emacs bug. I think ECB chokes on the Emacs 25
>>> version of `minibuffer-completion-help' from "minibuffer.el".
>>
>> The last message here suggests that this is not an Emacs bug.  Does
>> anyone disagree with that?
>
> More information was requested, but none was given within 4 weeks, so
> I'm closing this bug.  If this is still an issue, please reply to this
> email (use "Reply to all" in your email client) and we can reopen the
> bug report.

I missed to actually close this bug.  Closing it now.

Best regards,
Stefan Kangas

Subject: Minibuffer completion does not work with ECB package?
From: Angelo Graziosi <[email-masked]>
To: [email-masked]
Date: Thu, 12 Feb 2015 21:18:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

(Following Stefan's suggestion: 
http://lists.gnu.org/archive/html/emacs-devel/2015-02/msg00790.html)

It seems that minibuffer completion does not work properly if ECB
package is installed (from MELPA, with : Options | Manage Emacs 
Packages), and active.

For example, if I want to strip the trailing withe spaces (M-x
delete-trailing-whitespace), I try

   M-x del<TAB>

In the minibuffer I get

Click on a completion to select it.
In this buffer, type RET to select the completion near point.

Possible completions are:
delete-backward-char 	delete-blank-lines
[...]

but at this point, if I click on 'delete-trailing-whitespace', I get

   Minibuffer is not active for completion

If I try to exit with C-G, it print 'Quit', but does not exit. In short,
whatever I do I cannot exit minibuffer if not quitting Emacs.

In the above, if I change 'M-x del<TAB>' with

   M-x dele<TAB>

the completion works,

   M-x delete-

and with few other tabs I can complete the command.

I can reproduce this behavior with this minimal init.el file in ~/.emacs.d:

$ cat init.el
;;
;; ECB : Emacs Code browser setup
;;
(add-to-list 'load-path "~/.emacs.d/elpa/ecb-20140215.114")
(require 'ecb)

;; So that ECB is activated at Emacs startup
(setq ecb-auto-activate t)

;; This is suggested here:
;; http://www.patrickmin.com/linux/tip.php?name=emacs_ecb_startup
(setq ecb-tip-of-the-day nil)
(custom-set-variables '(ecb-options-version "2.40"))

Maybe the issue is in ECB, so I flagged this just for completeness.

TIA,
  Angelo.